| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
Gaudi::PluginService::Details::Logger Class Reference

Simple logging class, just to provide a default implementation. More...

`#include <Gaudi/Details/PluginServiceDetails.h>`

## Public Types
enum | Level { Debug = 0, Info = 1, Warning = 2, Error = 3 }

## Public Member Functions
| Logger (Level level=Warning)
virtual | ~Logger ()
Level | level () const
void | setLevel (Level level)
void | info (const std::string &msg)
void | debug (const std::string &msg)
void | warning (const std::string &msg)
void | error (const std::string &msg)

## Private Member Functions
virtual void | report (Level lvl, const std::string &msg)

## Private Attributes
Level | m_level

## Detailed Description

Simple logging class, just to provide a default implementation.

Definition at line 220 of file PluginServiceDetails.h.

## Member Enumeration Documentation

enum Gaudi::PluginService::Details::Logger::Level

Enumerator
Debug |
Info |
Warning |
Error |

Definition at line 223 of file PluginServiceDetails.h.

223 { Debug = 0, Info = 1, Warning = 2, Error = 3 };
Gaudi::PluginService::Details::Logger::Info
Definition: PluginServiceDetails.h:223
Gaudi::PluginService::Details::Logger::Error
Definition: PluginServiceDetails.h:223
Gaudi::PluginService::Details::Logger::Warning
Definition: PluginServiceDetails.h:223
Gaudi::PluginService::Details::Logger::Debug
Definition: PluginServiceDetails.h:223

## Constructor & Destructor Documentation

Gaudi::PluginService::Details::Logger::Logger | ( | Level | level = `Warning` | ) |
| inline

Definition at line 224 of file PluginServiceDetails.h.

224 : m_level( level ) {}
Gaudi::PluginService::Details::Logger::level
Level level() const
Definition: PluginServiceDetails.h:226
Gaudi::PluginService::Details::Logger::m_level
Level m_level
Definition: PluginServiceDetails.h:235

virtual Gaudi::PluginService::Details::Logger::~Logger | ( |  | ) |
| inline virtual

Definition at line 225 of file PluginServiceDetails.h.

225 {}

## Member Function Documentation

void Gaudi::PluginService::Details::Logger::debug | ( | const std::string & | msg | ) |
| inline

Definition at line 229 of file PluginServiceDetails.h.

229 { report( Debug, msg ); }
Gaudi::PluginService::Details::Logger::report
virtual void report(Level lvl, const std::string &msg)
Definition: PluginService.cpp:330
Gaudi::PluginService::Details::Logger::Debug
Definition: PluginServiceDetails.h:223

void Gaudi::PluginService::Details::Logger::error | ( | const std::string & | msg | ) |
| inline

Definition at line 231 of file PluginServiceDetails.h.

231 { report( Error, msg ); }
Gaudi::PluginService::Details::Logger::Error
Definition: PluginServiceDetails.h:223
Gaudi::PluginService::Details::Logger::report
virtual void report(Level lvl, const std::string &msg)
Definition: PluginService.cpp:330

void Gaudi::PluginService::Details::Logger::info | ( | const std::string & | msg | ) |
| inline

Definition at line 228 of file PluginServiceDetails.h.

228 { report( Info, msg ); }
Gaudi::PluginService::Details::Logger::Info
Definition: PluginServiceDetails.h:223
Gaudi::PluginService::Details::Logger::report
virtual void report(Level lvl, const std::string &msg)
Definition: PluginService.cpp:330

Level Gaudi::PluginService::Details::Logger::level | ( |  | ) | const
| inline

Definition at line 226 of file PluginServiceDetails.h.

226 { return m_level; }
Gaudi::PluginService::Details::Logger::m_level
Level m_level
Definition: PluginServiceDetails.h:235

void Gaudi::PluginService::Details::Logger::report | ( | Level | lvl,
|  | const std::string & | msg
| ) |  |
| private virtual

Definition at line 330 of file PluginService.cpp.

331 {
332 static const char* levels[] = {"DEBUG : ", "INFO : ", "WARNING: ", "ERROR : "};
333 if ( lvl >= level() ) {
334 std::cerr << levels[lvl] << msg << std::endl;
335 }
336 }
Gaudi::PluginService::Details::Logger::level
Level level() const
Definition: PluginServiceDetails.h:226
std::endl
T endl(T...args)
std::cerr

void Gaudi::PluginService::Details::Logger::setLevel | ( | Level | level | ) |
| inline

Definition at line 227 of file PluginServiceDetails.h.

227 { m_level = level; }
Gaudi::PluginService::Details::Logger::level
Level level() const
Definition: PluginServiceDetails.h:226
Gaudi::PluginService::Details::Logger::m_level
Level m_level
Definition: PluginServiceDetails.h:235

void Gaudi::PluginService::Details::Logger::warning | ( | const std::string & | msg | ) |
| inline

Definition at line 230 of file PluginServiceDetails.h.

230 { report( Warning, msg ); }
Gaudi::PluginService::Details::Logger::report
virtual void report(Level lvl, const std::string &msg)
Definition: PluginService.cpp:330
Gaudi::PluginService::Details::Logger::Warning
Definition: PluginServiceDetails.h:223

## Member Data Documentation

Level Gaudi::PluginService::Details::Logger::m_level
| private

Definition at line 235 of file PluginServiceDetails.h.

The documentation for this class was generated from the following files:

- GaudiPluginService/Gaudi/Details/PluginServiceDetails.h
- GaudiPluginService/src/PluginService.cpp